<?php

namespace App\Entities\Customer;

use App\Models\Customer\ClientModel;

class ClientEntity extends CustomerEntity
{
    const PK = ClientModel::PK;
    const TITLE = ClientModel::TITLE;
    public function getRole(): string
    {
        return $this->attributes['role'];
    }
    public function getAccountBalance(): int
    {
        return intval($this->attributes['account_balance']);
    }
    public function getCouponBalance(): int
    {
        return intval($this->attributes['coupon_balance']);
    }
    public function getPointBalance(): int
    {
        return intval($this->attributes['point_balance']);
    }
}
